Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1498838

Summary: dropbearconvert: symbol lookup error: dropbearconvert: undefined symbol: ltm_desc
Product: [Fedora] Fedora Reporter: Uwe Menges <uwe.menges>
Component: libtomcryptAssignee: Lennert Buytenhek <buytenh>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: buytenh, daniellarasouza, i, itamar, negativo17, pcahyna
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: libtomcrypt-1.18.0-1.fc27 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-11-11 03:03:04 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Uwe Menges 2017-10-05 11:43:21 UTC
Description of problem:
The binary "dropbearconvert" reveals the error "dropbearconvert: symbol lookup error: dropbearconvert: undefined symbol: ltm_desc".

Version-Release number of selected component (if applicable):
dropbear-2017.75-1.fc27.x86_64

How reproducible:
always

Steps to Reproduce:
1. Install dropbear
2. Run "dropbearconvert"
3. See the error

Actual results:
Symbol lookup error

Expected results:
Binary runs fine

Additional info:
Searching the web hints to libtomcrypt eventually not exporting ltm_desc:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=838553
Unfortunately no definitive answer there.

Comment 1 Uwe Menges 2017-10-07 09:50:41 UTC
I could run dropbearconvert after rebuilding libtomcrypt with the
latest .spec (date 20170915) which contains -DLTM_DESC.

http://pkgs.fedoraproject.org/cgit/rpms/libtomcrypt.git/commit/?h=f27&id=da70e3e4cbae149773da65be071903467bb66b77

I now have my libtomcrypt-1.18-2.20170915git0ceb1c1.fc27.x86_64.rpm
installed and the dropbear binaries run fine.

I hope this libtomcrypt change makes it into F27 before release.

Comment 2 Uwe Menges 2017-10-07 19:31:34 UTC
The dropbearconvert binary runs fine on dracut run.
The dropbear in initrd segfaults on connecting. :(

I'm currently avoiding dropbear, using sshd in initrd
https://github.com/dracut-crypt-ssh/dracut-crypt-ssh/pull/17

Nevertheless someone should IMHO pull the libtomcrypt.spec file into the build,
and check the dropbear binaries for sane operation.

Comment 3 Fedora Update System 2017-10-25 15:23:08 UTC
dropbear-2017.75-4.fc27, libtomcrypt-1.18.0-1.fc27, olpc-os-builder-7.0.1-9.fc27, python-crypto-2.6.1-19.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-53fedf1c92

Comment 4 Fedora Update System 2017-11-11 03:03:04 UTC
dropbear-2017.75-4.fc27, libtomcrypt-1.18.0-1.fc27, olpc-os-builder-7.0.1-9.fc27, python-crypto-2.6.1-19.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.